% function [map] = create_scale_map( l0, l1 )
% input:
%   l0 [pixel] .. original length
%   l1 [pixel] .. desired length
% output:
%   map .. pixel offsets in original
function [map] = create_scale_map( l0, l1 )
  
  dl = l0 / l1;
  for i = 1 : l1
    map(i) = ceil( i * dl );
  end
